#!/usr/bin/env python
# -*- coding: UTF8 -*-

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# This file is part of system-config-vsftpd
#
# System-config-vsftpd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# ( at your option ) any later version.
# 
# System-config-vsftpd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Gnome-todo-manager; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

# Import stock python libraries
import sys
import gettext
_ = gettext.gettext

# Import GTK and PyGTK libraries
import pygtk
pygtk.require( "2.0" )

import gtk
import gtk.glade

from parser import Configuration 


class exitDialog:
    """
        Class that describes main application window.
    """

    def __init__( self ): 

        self.glade_file = "system-config-vsftpd.glade"
        self.xml_file   = gtk.glade.XML( self.glade_file, "exitDialog" )
        self.window     = self.xml_file.get_widget( "exitDialog" )
        self.btnOk      = self.xml_file.get_widget( "btnOK"      )
        self.btnCancel  = self.xml_file.get_widget( "btnCancel"  )
        self.cbChoice   = self.xml_file.get_widget( "cbChoice"   )

        # Handle 
        #handlers = { "on_mainWindow_destroy" : self.mainWindow_destroy,
        #             "on_save1_activate"     : self.on_save,
        #             "on_reload1_activate"   : self.on_reload,
        #             "on_open1_activate"     : self.on_open,
        #             "on_quit1_activate"     : self.mainWindow_destroy
        #           }
        #self.xml_file.signal_autoconnect( handlers );

        

if __name__ == "__main__":
    win = exitDialog( )
    gtk.main( )

